%define debug_package %{nil}
Name:        rapgap
Version:    3.303
Release:    6%{?dist}
Summary:    Rapgap Event Generator for High Energy Physics

License:    Unknown
URL:        https://rapgap.hepforge.org/
#Source0:    rapgap-%{version}.tar.gz
Source0: https://github.com/andriish/rapgap/archive/master.zip

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake libtool gcc-gfortran HepMC HepMC-devel lhapdf lhapdf-devel pythia6 HepMC3  HepMC3-search HepMC3-devel HepMC3-search-devel Rivet-devel Rivet YODA YODA-devel
BuildRequires:  tex(latex) ghostscript gcc-c++ gcc-gfortran
Requires: libgfortran HepMC lhapdf  pythia6 HepMC3 Rivet YODA HepMC3  HepMC3-search HepMC3-devel HepMC3-search-devel
BuildRequires: fastjet-devel fastjet zlib zlib-devel
Requires: fastjet zlib 

%if %{?rhel}%{!?rhel:0} == 8 || %{?fedora}%{!?fedora:0} >= 31
BuildRequires: ghostscript-tools-dvipdf
%endif


%description
The Monte Carlo program RAPGAP generates a full hadron event record 
according to the HEP common standards. In ep it can describe all
 inclusive and diffractive processes, in pp it is available for 
 single-diffractive and a few inclusive processes for heavy quark and jet production. 


%prep
%setup -q -n rapgap-master/rapgap-3.303

%build
autoreconf -fisv
sed -i 's/[^[:print:]\r\t]//g' src/*/*f
sed -i 's/[^[:print:]\r\t]//g' src/*/*F
sed -i 's/[^[:print:]\r\t]//g' bases51/*f   
sed -i 's/[^[:print:]\r\t]//g' misc/*F   

%if %{?fedora}%{!?fedora:0} >= 31
export FFLAGS='-std=legacy -std=legacy -fallow-argument-mismatch -fallow-invalid-boz'
export FCFLAGS='-std=legacy -std=legacy -fallow-argument-mismatch -fallow-invalid-boz'
LDFLAGS=' '
%endif

%configure --with-lhapdf=/usr --with-hepmc=/usr  --with-pythia6=/usr --with-rivet=/usr --with-hepmc3=/usr

%install
make %{?_smp_mflags} 
%make_install 

mkdir $RPM_BUILD_ROOT/usr/share/rapgap
mv $RPM_BUILD_ROOT/usr/share/*.*  $RPM_BUILD_ROOT/usr/share/rapgap
mv $RPM_BUILD_ROOT/usr/share/steer*  $RPM_BUILD_ROOT/usr/share/rapgap
%clean

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
/usr/%_lib/*.so*
/usr/%_lib/*a
/usr/bin/*
/usr/include/rapgap
/usr/share/rapgap

%changelog
* Mon Oct 15 2018 Andrii verbytskyi <andrii.verbytskyi@mpp.mpg.de> - init
- init

